Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Interface ASN1Template

All Known Implementing Classes:
  AlgorithmIdentifier.Template, ANY.Template, Attribute.Template, Attribute.Template, AuthenticatedSafes.Template, AVA.Template, BIT_STRING.Template, BMPString.Template, BOOLEAN.Template, CertBag.Template, CertId.Template, Certificate.Template, CertificateInfo.Template, CertificationRequest.Template, CertificationRequestInfo.Template, CertReqMsg.Template, CertRequest.Template, CertTemplate.Template, CharacterString.Template, CHOICE.Template, CMCStatusInfo.Template, ContentInfo.Template, ContentInfo.Template, Control.Template, DigestedData.Template, DigestedData.Template, DigestInfo.Template, DigestInfo.Template, DirectoryString.Template, EncapsulatedContentInfo.Template, EncryptedContentInfo.Template, EncryptedContentInfo.Template, EncryptedData.Template, EncryptedData.Template, EncryptedKey.Template, EncryptedPrivateKeyInfo.Template, EncryptedValue.Template, ENUMERATED.Template, EnvelopedData.Template, EnvelopedData.Template, EXPLICIT.Template, Extension.Template, GeneralizedTime.Template, GetCRL.Template, IA5String.Template, INTEGER.Template, IssuerAndSerialNumber.Template, IssuerAndSerialNumber.Template, IssuerAndSubject.Template, MacData.Template, Name.Template, NULL.Template, OBJECT_IDENTIFIER.Template, OCTET_STRING.Template, OtherInfo.Template, PBEParameter.Template, PendInfo.Template, PFX.Template, PKIArchiveOptions.Template, PKIData.Template, PKIPublicationInfo.Template, PKIStatusInfo.Template, POPOPrivKey.Template, POPOSigningKey.Template, PrintableString.Template, PrivateKeyInfo.Template, ProofOfPossession.Template, RDN.Template, RecipientInfo.Template, RecipientInfo.Template, ResponseBody.Template, RevRepContent.Template, RevRequest.Template, SafeBag.Template, SecretBag.Template, SEQUENCE.OF_Template, SEQUENCE.Template, SET.OF_Template, SET.Template, SignedAndEnvelopedData.Template, SignedAndEnvelopedData.Template, SignedData.Template, SignedData.Template, SignerIdentifier.Template, SignerInfo.Template, SignerInfo.Template, SubjectKeyIdentifier.Template, SubjectPublicKeyInfo.Template, TaggedAttribute.Template, TaggedCertificationRequest.Template, TaggedRequest.Template, TeletexString.Template, UniversalString.Template, UTCTime.Template, UTF8String.Template

public interface ASN1Template

An interface for decoding ASN1Values from their BER encodings.

See Also:
  `ASN1Value`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes an ASN1Value from the InputStream without an implicit tag.
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)` Decodes an ASN1Value from the InputStream with the given implicit tag.
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.

Method Detail

### tagMatch

    public boolean tagMatch(Tag tag)

  Determines whether the given tag will satisfy this template.

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes an ASN1Value from the InputStream without an implicit tag.

  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `java.io.IOException`
    `InvalidBERException`

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes an ASN1Value from the InputStream with the given implicit tag.

  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `java.io.IOException`
    `InvalidBERException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD